Page MenuHomePhabricator

[Story] show article if it exists instead of placeholder
Closed, ResolvedPublic

Description

If the user enters an entity id on the special page and the entity is connected to a page on this wiki, they should see the connected article rather than generating a placeholder.

Somehow, that doesn't work anymore, so I'm reopening this ticket.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterSmall fix to enable redirect to articles
mediawiki/extensions/ArticlePlaceholder : masterRedirect to article if exists

Event Timeline

Lucie created this task.Aug 18 2015, 2:33 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Aklapper, Lucie.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Sep 10 2015, 10:59 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 28 2015, 1:32 PM
Lucie moved this task from To Do Next to Incoming on the ArticlePlaceholder board.Sep 28 2015, 1:39 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 29 2015, 2:33 PM

Change 242919 had a related patch set uploaded (by Lucie Kaffee):
Add getter and setter for the default Lua libary.

https://gerrit.wikimedia.org/r/242919

Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Oct 2 2015, 3:26 PM

Change 243942 had a related patch set uploaded (by Lucie Kaffee):
Redirect to article if exists

https://gerrit.wikimedia.org/r/243942

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Oct 8 2015, 4:20 PM

Change 243942 merged by jenkins-bot:
Redirect to article if exists

https://gerrit.wikimedia.org/r/243942

Lucie closed this task as Resolved.Oct 10 2015, 1:23 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.
Lucie moved this task from Review to Done on the Wikidata-Sprint-2015-09-29 board.
Lucie reopened this task as Open.Dec 4 2015, 3:49 PM
Lucie moved this task from Done to Incoming on the ArticlePlaceholder board.
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.
Lucie updated the task description. (Show Details)
Lucie removed a project: Patch-For-Review.
Lucie added a subscriber: hoo.

Seems to be broken. Needs investigation.

Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Jan 22 2016, 9:26 PM

Change 265837 had a related patch set uploaded (by Lucie Kaffee):
Small fix to enable redirect to articles

https://gerrit.wikimedia.org/r/265837

Change 265837 merged by jenkins-bot:
Small fix to enable redirect to articles

https://gerrit.wikimedia.org/r/265837

Lucie closed this task as Resolved.Jan 22 2016, 10:41 PM
Lucie moved this task from Backlog to Done on the Wikidata-Sprint-2016-01-19 board.
Lucie moved this task from Doing to Done on the ArticlePlaceholder board.